<xml> </xml>

db4o |

# ObjectCallbacks Members

ObjectCallbacks overview

#### Public Instance Methods

objectCanActivate | called before an Object is activated.
objectCanDeactivate | called before an Object is deactivated.
objectCanDelete | called before an Object is deleted.
objectCanNew | called before an Object is stored the first time.
objectCanUpdate | called before a persisted Object is updated.
objectOnActivate | called upon activation of an object.
objectOnDeactivate | called upon deactivation of an object.
objectOnDelete | called after an object was deleted.
objectOnNew | called after a new object was stored.
objectOnUpdate | called after an object was updated.

#### See Also

ObjectCallbacks Interface | com.db4o.ext Namespace